﻿@model TakePaymentInvoiceViewModel
@{
    Layout = null;
}

<div class="view-container">
    <div class="title-bar">
        <div class="back">
            <a class="action" ng-click="cancelAction()">
                <i class="icon-arrow-left fg-black"></i>
            </a>
        </div>
        <div class="title">
            <h1>
                Take A Payment
            </h1>
            @*<h1 ng-show="Model.IsEdit == true">
                Edit Payment
            </h1>*@
        </div>
        <div class="clearfix"></div>
        <hr />
    </div>
    <div class="clearfix">

    </div>
    <div class="clearfix margin-bottom20">
        <div class="orderitem-profile place-left one-half">
            <div>
                @*<div class="avatar-box">
                    <i></i>
                </div>*@
                <div class="info-box">
                    <h2 class="name ellipsis"><span >{{Model.UserName}}</span></h2>
                </div>
            </div>
        </div>
        <div class="orderitem-overview text-center place-left one-half">
            <div class="place-left one-half">
                <b>Invoice #</b>
                <i ng-bind="Model.InvoiceNumber"></i>
            </div>
            <div class="place-left one-half" ng-class="{ 'fg-red' : Model.AmountDue > 0}">
                <b>Amount due</b>
                <i class="balance" ng-bind="(Model.AmountDue).formatCurrencyWithPenny(2)"></i>
            </div>
        </div>
        <div class="clearfix"></div>
    </div>


    <div class="clearfix"></div>
    <div id="newPayment" style="position:relative">
        <div class="clearfix"></div>
        <div>
            <label>How would you like to take this invoice?</label>
            <div class="input-control radio show default-style no-margin padding-right50 block" data-role="input-control" ng-repeat="chargeMethod in Model.ChargeMethodList">
                <label ng-hide="chargeMethod.Value=='1' && Model.AvailableCredit < Model.AmountDue">
                    <input ng-model="Model.SelectedChargeMethod" ng-value="chargeMethod.Value" type="radio" ng-click="changeMaxAmount(chargeMethod.Value)" />
                    <span class="check"></span>
                    {{chargeMethod.Text}} <span ng-if="chargeMethod.Value=='1'">(<span class="fg-green">{{(Model.AvailableCredit).formatCurrencyWithPenny(2)}}</span>)</span>
                </label>
            </div>
        </div>
        <label class="req-star" ng-show="Model.SelectedChargeMethod == '0'">Payment method</label>
        <div class="input-control select" data-role="input-control" ng-show="Model.SelectedChargeMethod=='0'" @Html.AngValidationClassFor(model => model.SelectedPaymentMethod)>
            <div @Html.AngTooltipValidationFor(model => model.SelectedPaymentMethod)>
                <select ng-options="obj.Value as obj.Text for obj in Model.PaymentMethods"
                        ng-model="@Html.Ang(m => m.SelectedPaymentMethod)"></select>
            </div>
        </div>
        <label ng-show="Model.SelectedChargeMethod=='0'">Payment date</label>
        <div class="input-control date-time" ng-show="Model.SelectedChargeMethod=='0'" class="req-star" @Html.AngValidationClassFor(model => model.PaymentDate)>
            <input kendo-date-picker ng-model="@Html.Ang(m => m.PaymentDate)" k-options="MC.datePickerOptions" ng-focus="MC.dateTimePickerOpen($event)" ng-click="MC.dateTimePickerOpen($event)" ng-blur="MC.dateTimePickerClose($event)" @Html.AngTooltipValidationFor(model => model.PaymentDate) />
        </div>
        <label ng-show="Model.SelectedChargeMethod=='0'">Transaction/Check ID</label>
        <div ng-show="Model.SelectedChargeMethod=='0'" class="input-control text" data-role="i`nput-control" @Html.AngValidationClassFor(model => model.CheckId)>
            <input ng-model="@Html.Ang(m => m.CheckId)" type="text" @Html.AngTooltipValidationFor(model => model.CheckId) />
        </div>
        <label>Memo</label>
        <div class="input-control text" data-role="input-control" @Html.AngValidationClassFor(model => model.Note)>
            <input ng-model="@Html.Ang(m => m.Note)" type="text" @Html.AngTooltipValidationFor(model => model.Note) />
        </div>
    </div>
    <div class="clearfix"></div>
    <hr />
    <button type="button" class="success place-right large button" data-ng-click="confirmPaymentInvoice()">Continue</button>
    <button type="button" class="link place-left large button" data-ng-click="cancelAction()">Cancel</button>

    <div class="clearfix"></div>

</div>
